> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Saves drift scheduler config for the model. The endpoint is behind the old backend's auth mechanism.



## OpenAPI

````yaml /api-specs/6.3/dmm.yaml post /model-monitor/v2/api/model/{model_id}/save-scheduler-query
openapi: 3.0.3
info:
  title: Domino Model Monitor API
  description: The API for programmatic access to Domino Model Monitor.
  version: 1.0.1
servers: []
security: []
tags:
  - name: DatasetJob
    description: All Dataset Job related operations.
  - name: DataSource
    description: All data source related operations.
  - name: Model
    description: All Model related operations.
  - name: ModelTag
    description: Operations related to the management of model tags.
  - name: ModelDrift
    description: All Model drift related operations.
  - name: ModelQuality
    description: All Model quality related operations.
  - name: Workbench
    description: All Workbench related operations.
  - name: DefaultSettings
    description: Operations related to drift and model quality defaults setting in DMM.
  - name: UserSettings
    description: Operations related to configuring user related settings for DMM.
  - name: Notification
    description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
  - name: Other
    description: Other miscellaneous operations.
  - name: Scheduler
    description: All scheduler related operations
paths:
  /model-monitor/v2/api/model/{model_id}/save-scheduler-query:
    summary: >
      Saves drift scheduler config for the model. The endpoint is behind the old
      backend's auth mechanism.
    parameters:
      - in: path
        name: model_id
        schema:
          type: string
        required: true
        description: Identifier for the model to be updated.
    post:
      tags:
        - ModelDrift
      summary: >-
        Saves drift scheduler config for the model. The endpoint is behind the
        old backend's auth mechanism.
      operationId: saveSchedulerQuery
      requestBody:
        required: true
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/featureQueryConfig'
      responses:
        '200':
          description: The drift scheduler query was generated successfully.
          content:
            application/json:
              schema:
                type: boolean
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
components:
  schemas:
    featureQueryConfig:
      type: object
      required:
        - config
      properties:
        config:
          type: array
          items:
            $ref: '#/components/schemas/featureQuery'
    featureQuery:
      title: Feature Query
      description: Query config for a feature in a model
      type: object
      required:
        - id
        - name
        - type
        - value
        - alertable
        - algorithm
        - condition
      properties:
        id:
          title: Feature Identifier
          description: Identifier of the feature in a model
          type: string
        name:
          title: Feature Name
          description: Name for the model feature
          type: string
        type:
          title: Feature Type
          description: Type of the feature - feature, prediction, row identifier, timestamp
          type: string
        value:
          title: Feature Value Type
          description: Type of the feature value - categorical or numerical
          type: string
        alertable:
          title: Alertable
          description: Whether this feature is alertable for not
          type: boolean
        algorithm:
          title: Algorithm
          description: Algorithm function used for the check query
          type: string
        condition:
          $ref: '#/components/schemas/alertCondition'
    alertCondition:
      title: Alert Condition
      description: Condition at which alert is triggered
      type: object
      required:
        - operator
        - lower
        - upper
      properties:
        operator:
          title: Math Operator
          description: The math operator for the condition, like < or <=.
          type: string
        lower:
          title: Lower Bound
          description: The lower bound for the condition
          type: number
        upper:
          title: Upper Bound
          description: The upper bound for the condition
          type: number
  securitySchemes:
    DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION

````